package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.lang.StringUtils;

import com.rjconsultores.ventaboletos.relatorios.utilitarios.RelatorioEmpresaCorridaBean;

public class RelatorioEmpresaCorridaNovoLayout extends RelatorioEmpresaCorrida {

	public RelatorioEmpresaCorridaNovoLayout(Map<String, Object> parametros, Connection conexao) throws Exception {
		super(parametros, conexao);
	}
	
	@Override
	protected void setDadosRelatorio(ResultSet rset, List<RelatorioEmpresaCorridaBean> lsDadosRelatorio) throws SQLException {
		while (rset.next()) {
			RelatorioEmpresaCorridaBean bean = new RelatorioEmpresaCorridaBean();
			setDadosBean(rset, bean);
			lsDadosRelatorio.add(bean);
		}
	}
	
	@Override
	protected void setDadosBean(ResultSet rset, RelatorioEmpresaCorridaBean bean) throws SQLException {
		super.setDadosBean(rset, bean);
		bean.setCorridaId(rset.getInt(FIELD_CORRIDA_ID));
		bean.setDataCorrida(StringUtils.defaultString(rset.getString(FIELD_DATA_CORRIDA)));
		bean.setTurnoOrigem(StringUtils.defaultString(rset.getString(FIELD_TURNO_ORIGEM)));
		bean.setOrigem(StringUtils.defaultString(rset.getString(FIELD_ORIGEM)));
		bean.setDestino(StringUtils.defaultString(rset.getString(FIELD_DESTINO)));
	}

}
